detekt-api
1.21.0-RC2

# LazyRegex

class LazyRegex (key: String , default: String ) : ReadOnlyProperty < Rule , Regex >
Content copied to clipboard

LazyRegex class provides a lazy evaluation of a Regex pattern for usages inside Rules. It computes the value once when reaching the point of its usage and returns the same value when requested again.

`key`&`default` are used to retrieve a value from config.

## Constructors

LazyRegex
Link copied to clipboard
fun LazyRegex (key: String , default: String )
Content copied to clipboard

## Functions

getValue
Link copied to clipboard
open operator override fun getValue (thisRef: Rule , property: KProperty <*>): Regex
Content copied to clipboard